Skip to main content
You are viewing v3 of the Coralogix API. v5 is the current version. Go to the v5 reference

Update API Key

PUThttps://api.coralogix.com/mgmt/openapi/3/aaa/api-keys/v3/{key_id}

No description available

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Path Parameters

    key_id# stringrequired
    Example: my_key_id

Body

application/json
    accessPolicy#string

    JSON string representing the access policy for this API key. Defines granular permissions for users and groups. To delete an existing policy, pass an empty string.

    Example: {"version":"2025-01-01","default":{"permissions":{"data-ingest-api-keys:ReadAccessPolicy":"grant","data-ingest-api-keys:Manage":"deny","data-ingest-api-keys:UpdateAccessPolicy":"deny","data-ingest-api-keys:ReadConfig":"grant"}},"rules":[]}
    isActive#boolean
    Example: true
    newName#string
    Example: my_new_name

Response

application/json
The response is of type object.